/*
 * Factura.java
 *
 * Created on 20 de septiembre de 2003, 9:50
 */

package facturascomun;

import java.io.*;

/**
 * La clase Factura es la clase de transito que nos permite manejar facturas
 * de un modo sencillo en nuestra aplicacin
 * @author  Administrator
 */
public class Factura implements Serializable 
{
    // variables privadas de la clase
    private String Id;
    private String Titular;
    private String Concepto;
    private String Cif;
    private String Direccion;
    private String Fecha;
    private double Candidad;
        
    
    
    /** Constructor por defecto */
    public Factura() {
        
    }

    /**
     * Constructor para inicializar valores bsicos
     */
    public Factura(String pId, String pTitular, String pConcepto, String pCif, String pDireccion, String pFecha, double pCantidad) 
    {
        Id         = pId;
        Titular    = pTitular;
        Concepto   = pConcepto;
        Cif        = pCif;
        Direccion  = pDireccion;
        Fecha      = pFecha;
        Candidad   = pCantidad;
    }
    
    /** Recuperador de la propiedad Candidad.
     * @return Valor de la propiedadCandidad.
     *
     */
    public double getCandidad() {
        return Candidad;
    }
    
    /** Setter for property Candidad.
     * @param Candidad nuevo valor para la propiedad  Candidad.
     *
     */
    public void setCandidad(double Candidad) {
        this.Candidad = Candidad;
    }
    
    /** Recuperador de la propiedad Cif.
     * @return Valor de la propiedadCif.
     *
     */
    public java.lang.String getCif() {
        return Cif;
    }
    
    /** Setter for property Cif.
     * @param Cif nuevo valor para la propiedad  Cif.
     *
     */
    public void setCif(java.lang.String Cif) {
        this.Cif = Cif;
    }
    
    /** Recuperador de la propiedad Concepto.
     * @return Valor de la propiedadConcepto.
     *
     */
    public java.lang.String getConcepto() {
        return Concepto;
    }
    
    /** Setter for property Concepto.
     * @param Concepto nuevo valor para la propiedad  Concepto.
     *
     */
    public void setConcepto(java.lang.String Concepto) {
        this.Concepto = Concepto;
    }
    
    /** Recuperador de la propiedad Direccion.
     * @return Valor de la propiedadDireccion.
     *
     */
    public java.lang.String getDireccion() {
        return Direccion;
    }
    
    /** Setter for property Direccion.
     * @param Direccion nuevo valor para la propiedad  Direccion.
     *
     */
    public void setDireccion(java.lang.String Direccion) {
        this.Direccion = Direccion;
    }
    
    /** Recuperador de la propiedad Fecha.
     * @return Valor de la propiedadFecha.
     *
     */
    public java.lang.String getFecha() {
        return Fecha;
    }
    
    /** Setter for property Fecha.
     * @param Fecha nuevo valor para la propiedad  Fecha.
     *
     */
    public void setFecha(java.lang.String Fecha) {
        this.Fecha = Fecha;
    }
    
    /** Recuperador de la propiedad Id.
     * @return Valor de la propiedadId.
     *
     */
    public String getId() {
        return Id;
    }
    
    /** Setter for property Id.
     * @param Id nuevo valor para la propiedad  Id.
     *
     */
    public void setId(String Id) {
        this.Id = Id;
    }
    
    /** Recuperador de la propiedad Titular.
     * @return Valor de la propiedadTitular.
     *
     */
    public java.lang.String getTitular() {
        return Titular;
    }
    
    /** Setter for property Titular.
     * @param Titular nuevo valor para la propiedad  Titular.
     *
     */
    public void setTitular(java.lang.String Titular) {
        this.Titular = Titular;
    }
    
}
